<template>
  <div class="wrapper">
    <div class="container-fuild">
      <div id="headTitle">
        <Logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">
          {{ i18ntext.lngText("emp") }}
        </h1>
      </div>
    </div>
    <div class="container-fuild">
      <Header />
      <ol id="topicPath">
        <li style="margin-left: 276px">
          <router-link to="productsetting">
            <a href="dashbaord">
              <font style="vertical-align: inherit">
                <font style="vertical-align: inherit">
                  {{ i18ntext.lngText("emp") }}
                </font>
              </font>
            </a>
          </router-link>
        </li>
      </ol>
    </div>
    <div class="search-box">
      <div id="product">
        <div class="search-box">
          <div class="search-box-title" id="Bars" style="padding: 8px">
            <div id="bar" style="width: 90%">
              <router-link to="employee">
                <a
                  class="btn-radius bt-pn btn btn-sm"
                  id="bar-1"
                  style="background-color: #29a5a5; border: #22adb763 1px solid"
                >
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText("emp") }}
                </a>
              </router-link>
              <router-link to="user">
                <a class="btn-radius bt-pn btn btn-sm" id="bar-1">
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText("user") }}
                </a>
              </router-link>
              <router-link to="permission"
                ><a
                  class="btn-radius btn btn-sm"
                  href="#"
                  style="color: #f8f5b4; margin-top: -2px; margin-right: 0"
                >
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText("permis") }}
                </a>
              </router-link>
              <router-link to="role"
                ><a
                  class="btn-radius btn btn-sm"
                  href="#"
                  style="color: #f8f5b4; margin-top: -2px; margin-left: 0"
                >
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText("role") }}
                </a>
              </router-link>
            </div>
            <div id="right" style="width: 10%">
              <a
                class="btn-radius bt-pn btn btn-sm"
                data-bs-toggle="dropdown"
                aria-expanded="false"
                style="float: right; color: #f8f5b4; margin-top: -2px; margin-right: 11px"
              >
                <i class="fas fa-plus" style="padding-right: 5px"> </i>
                {{ i18ntext.lngText("menu") }}
              </a>
              <ul class="dropdown-menu">
                <li>
                  <a
                    @click="getsuppliyerview()"
                    class="dropdown-item btn btn-primary"
                    data-bs-toggle="modal"
                    data-bs-target="#staticboomId"
                    tabindex="10028"
                    ><i class="fa fa-print" aria-hidden="true"></i>
                    {{ i18ntext.lngText("print") }}</a
                  >
                </li>
              </ul>
            </div>
          </div>
          <div>
            <div></div>
          </div>
        </div>
        <input autocomplete="off" id="search" name="search" type="hidden" value="1" />
        <div class="search-box-content">
          <table
            width="100%"
            border="0"
            cellpadding="0"
            cellspacing="0"
            class="tbl_form new_table"
          >
            <tbody>
              <tr>
                <th style="color: #f8f5b4; width: 15% !important">
                  {{ i18ntext.lngText("emId") }}
                </th>
                <td colspan="3">
                  <input autocomplete="off"
                    class="string_zen clear_text text"
                    maxlength="50"
                    type="text"
                    tabindex="10017"
                    v-model="form.id"
                    style="width: 8%"
                  />
                </td>
              </tr>
              <th style="color: #f8f5b4">{{ i18ntext.lngText("name") }}</th>
              <td colspan="3">
                LastName
                <input autocomplete="off"
                  class="string_zen clear_text text"
                  maxlength="50"
                  type="text"
                  tabindex="10017"
                  v-model="form.lstname"
                  style="width: 15%"
                />
                FirstName
                <input autocomplete="off"
                  class="string_zen clear_text text"
                  maxlength="50"
                  type="text"
                  tabindex="10017"
                  v-model="form.firstname"
                  style="width: 15%"
                />
              </td>
              <tr>
                <th style="color: #f8f5b4">{{ i18ntext.lngText("emBtd") }}</th>
                <td colspan="3">
                  <input autocomplete="off"
                    class="number text"
                    maxlength="10"
                    size="4"
                    type="text"
                    value=""
                  />
                  Year
                  <input autocomplete="off"
                    class="number text"
                    maxlength="10"
                    size="4"
                    type="text"
                    value=""
                  />
                  Month
                  <input autocomplete="off"
                    class="number text"
                    maxlength="10"
                    size="4"
                    type="text"
                    value=""
                  />
                  Day
                </td>
              </tr>
              <tr>
                <th width="10%" style="color: #f8f5b4">
                  {{ i18ntext.lngText("emSex") }}
                </th>
                <td width="32%">
                  <div
                    class="radio"
                    id="uniform-search_word_sizai_prt_kbn_0"
                    @click="getsex('male')"
                  >
                    <span class="checked"
                      ><input autocomplete="off"
                        checked="checked"
                        id="search_word_sizai_prt_kbn_0"
                        name="search_word[sizai_prt_kbn]"
                        type="radio"
                        value="0"
                        tabindex="10000"
                        style="opacity: 0"
                    /></span>
                  </div>
                  <label for="search_word_sizai_prt_kbn_0" style="margin-left: 6px"
                    >Male</label
                  >
                  <div
                    class="radio"
                    id="uniform-search_word_sizai_prt_kbn_1"
                    @click="getsex('female')"
                  >
                    <span class=""
                      ><input autocomplete="off"
                        id="search_word_sizai_prt_kbn_1"
                        name="search_word[sizai_prt_kbn]"
                        type="radio"
                        value="1"
                        tabindex="10001"
                        style="opacity: 0"
                    /></span>
                  </div>
                  <label for="search_word_sizai_prt_kbn_1" style="margin-left: 6px"
                    >Female</label
                  >
                  <div
                    class="radio"
                    id="uniform-search_word_sizai_prt_kbn_9"
                    @click="getsex('other')"
                  >
                    <span class=""
                      ><input autocomplete="off"
                        id="search_word_sizai_prt_kbn_9"
                        name="search_word[sizai_prt_kbn]"
                        type="radio"
                        value="9"
                        tabindex="10002"
                        style="opacity: 0"
                    /></span>
                  </div>
                  <label for="search_word_sizai_prt_kbn_9" style="margin-left: 6px"
                    >Other</label
                  >
                </td>
              </tr>
              <tr>
                <th style="color: #f8f5b4">{{ i18ntext.lngText("phone") }}</th>
                <td colspan="3">
                  PhoneNumber
                  <input autocomplete="off"
                    class="string_zen clear_text text"
                    maxlength="50"
                    type="text"
                    tabindex="10017"
                    v-model="form.phone1"
                    style="width: 8%"
                  />
                  HomeNumber
                  <input autocomplete="off"
                    class="string_zen clear_text text"
                    maxlength="50"
                    type="text"
                    tabindex="10017"
                    v-model="form.phone2"
                    style="width: 8%"
                  />
                </td>
              </tr>
              <tr>
                <th style="color: #f8f5b4">{{ i18ntext.lngText("email") }}</th>
                <td colspan="3">
                  <input autocomplete="off"
                    class="string_zen clear_text text"
                    maxlength="50"
                    type="text"
                    tabindex="10017"
                    v-model="form.email"
                    style="width: 20%"
                  />
                </td>
              </tr>
              <tr>
                <th style="color: #f8f5b4">{{ i18ntext.lngText("emHire") }}</th>
                <td colspan="3">
                  <input autocomplete="off"
                    class="number text"
                    style="text-align: left"
                    maxlength="2"
                    size="4"
                    type="date"
                    v-model="form.hiredate"
                  />
                </td>
              </tr>
              <tr>
                <th style="color: #f8f5b4">{{ i18ntext.lngText("address") }}</th>
                <td colspan="3">
                  Village
                  <input autocomplete="off"
                    class="string_zen clear_text text"
                    maxlength="50"
                    type="text"
                    tabindex="10017"
                    v-model="form.village"
                    style="width: 8%"
                  />
                  Commune
                  <input autocomplete="off"
                    class="string_zen clear_text text"
                    maxlength="50"
                    type="text"
                    tabindex="10017"
                    v-model="form.commune"
                    style="width: 8%"
                  />
                  District
                  <input autocomplete="off"
                    class="string_zen clear_text text"
                    maxlength="50"
                    type="text"
                    tabindex="10017"
                    v-model="form.district"
                    style="width: 8%"
                  />
                  City
                  <input autocomplete="off"
                    class="string_zen clear_text text"
                    maxlength="50"
                    type="text"
                    tabindex="10017"
                    v-model="form.pro_city"
                    style="width: 8%"
                  />
                  Region
                  <input autocomplete="off"
                    class="string_zen clear_text text"
                    maxlength="50"
                    type="text"
                    tabindex="10017"
                    v-model="form.region"
                    style="width: 8%"
                  />
                  <br />
                  <br />
                  <textarea
                    class="string_zen_kana clear_text text"
                    id="search_word_simei_kana_s"
                    name="search_word[simei_kana_s]"
                    type="text"
                    tabindex="10015"
                    v-model="form.address"
                    rows="1"
                    style="width: 28%; outline: none"
                  ></textarea>
                </td>
              </tr>
              <tr>
                <th style="color: #f8f5b4">{{ i18ntext.lngText("remark") }}</th>
                <td colspan="3">
                  <div class="dropdown d-flex">
                    <button
                      @click="getunit(form)"
                      @onmouseout="prooductboom()"
                      class="dropdown-toggle string_zen clear_text text select-menu select-item"
                      type="button"
                      id="dropdownMenuButton1 "
                      data-bs-toggle="dropdown"
                      aria-expanded="false"
                      size="50"
                    >
                      {{ form.remark }} <i class="fa fa-chevron-down"></i>
                    </button>
                    <div
                      class="dropdown-menu each-drop-menu"
                      aria-labelledby="dropdownMenuButton1"
                    >
                      <p>
                        <input autocomplete="off"
                          v-model="txtsearch"
                          @input="searchproduct(txtsearch)"
                          class="string_zen clear_text text search-pro-field"
                          size="50"
                          type="text"
                        />
                      </p>
                      <ul style="list-style: none" class="scrollable-menu">
                        <li @click="getunit(form, 'Doctor')">
                          <div class="menu-item">
                            <p>Doctor</p>
                          </div>
                        </li>
                        <li @click="getunit(form, 'Nurse')">
                          <div class="menu-item">
                            <p>Nurse</p>
                          </div>
                        </li>
                        <li @click="getunit(form, 'Employee')">
                          <div class="menu-item">
                            <p>Employee</p>
                          </div>
                        </li>
                      </ul>
                    </div>
                  </div>
                </td>
              </tr>
              <tr>
                <th style="color: #f8f5b4">{{ i18ntext.lngText("inactive") }}</th>
                <td width="90%">
                  <div class="selector" id="inactivced">
                    <span>{{ form.inactived }}</span>
                    <select
                      id="inactivced"
                      name="inactivced"
                      tabindex="10003"
                      v-model="form.inactived"
                      style="min-width: 51px; opacity: 0; width: 80px"
                    >
                      <option value="Yes">Yes</option>
                      <option value="No">No</option>
                    </select>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
        <div class="search-box-footer">
          <div
            v-if="btnback == true"
            @click="btnBack()"
            class="button type2"
            id="uniform-undefined"
          >
            <span
              ><input autocomplete="off"
                type="button"
                value="display"
                class="type2"
                style="opacity: 0; width: 54px"
                tabindex="10025"
              /><i class="fa fa-arrow-left" style="margin-right: 7px"></i>
              {{ i18ntext.lngText("back") }}</span
            >
          </div>
          <div class="button type2" id="uniform-undefined">
            <span
              ><input autocomplete="off"
                @click="getid(form.id)"
                type="button"
                value="display"
                class="type2"
                data-bs-toggle="modal"
                data-bs-target="#delete-form"
                style="opacity: 0; width: 54px"
                tabindex="10025"
              /><i class="fa fa-trash" aria-hidden="true"></i>
              {{ i18ntext.lngText("Delete") }}</span
            >
          </div>
          <div
            v-if="this.btcheck == 'Update'"
            class="button type2"
            id="u  niform-undefined"
            data-bs-toggle="modal"
            data-bs-target="#saveconfirm"
          >
            <span tabindex="10028"
              ><input autocomplete="off"
                type="button"
                value="display"
                class="type2"
                style="opacity: 0; width: 54px"
                tabindex="10025"
              /><i class="fas fa-file-import" style="margin-right: 8px"></i
              >{{ i18ntext.lngText("update") }}</span
            >
          </div>
          <div
            v-else
            class="button type2"
            id="u  niform-undefined"
            data-bs-toggle="modal"
            data-bs-target="#saveconfirm"
          >
            <span tabindex="10028"
              ><input autocomplete="off"
                type="button"
                value="display"
                class="type2"
                style="opacity: 0; width: 54px"
                tabindex="10025"
              /><i class="fas fa-file-import" style="margin-right: 8px"></i
              >{{ i18ntext.lngText("save") }}</span
            >
          </div>
          <span class="marker"></span>
        </div>
        <div class="box" style="margin-top: 25px">
          <div class="box-content">
            <table
              width="100%"
              border="0"
              cellpadding="0"
              cellspacing="0"
              class="table table-striped table-bordered newhover"
              style="margin-bottom: 0 !important"
            >
              <thead id="table-color">
                <tr>
                  <th width="4%">{{ i18ntext.lngText("user_id") }}</th>
                  <th width="10%">{{ i18ntext.lngText("em-ls") }}</th>
                  <th width="10%">{{ i18ntext.lngText("em-frs") }}</th>
                  <th width="5%">{{ i18ntext.lngText("emSex") }}</th>
                  <th width="10%">{{ i18ntext.lngText("phone") }}</th>
                  <th width="10%">{{ i18ntext.lngText("em-phone") }}</th>
                  <th width="15%">{{ i18ntext.lngText("email") }}</th>
                  <th width="15%">{{ i18ntext.lngText("address") }}</th>
                  <th width="7%">{{ i18ntext.lngText("remark") }}</th>
                  <th width="10%"></th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="emp in employee">
                  <td>{{ emp.id }}</td>
                  <td>{{ emp.lstname }}</td>
                  <td>{{ emp.firstname }}</td>
                  <td>{{ emp.sex }}</td>
                  <td>{{ emp.phone1 }}</td>
                  <td>{{ emp.phone2 }}</td>
                  <td>{{ emp.email }}</td>
                  <td>
                    {{ emp.village }}
                    {{ emp.commune }}
                    {{ emp.district }}
                    {{ emp.pro_city }}
                    {{ emp.address }}
                  </td>
                  <td>{{ emp.remark }}</td>

                  <td width="3%" class="text-center">
                    <div
                      class="container-btn"
                      style="display: flex; justify-content: center; min-width: 160px"
                    >
                      <div @click="btnEdit(emp)" class="button" id="uniform-undefined">
                        <span
                          ><i class="fa fa-edit"></i>{{ i18ntext.lngText("select")
                          }}<input autocomplete="off"
                            type="button"
                            data-bs-toggle="modal"
                            data-bs-target="#staticBackdrop"
                            tabindex="10028"
                            style="opacity: 0; width: 76px"
                        /></span>
                      </div>
                      <div
                        class="button"
                        id="uniform"
                        data-bs-toggle="modal"
                        data-bs-target="#adduser"
                        @click="getUser(emp)"
                      >
                        <span
                          ><i class="fa fa-edit" aria-hidden="true"></i>
                          {{ i18ntext.lngText("emCrt")
                          }}<input autocomplete="off" type="button" style="opacity: 0; width: 76px"
                        /></span>
                      </div>
                    </div>
                  </td>
                </tr>
                <div
                  class="modal fade ui-modal"
                  id="saveconfirm"
                  data-bs-backdrop="static"
                  data-bs-keyboard="false"
                  tabindex="-1"
                  aria-labelledby="clearconfirm"
                  aria-hidden="true"
                >
                  btnsave
                  <div class="modal-dialog smallpopup" id="nonbackgroundboom">
                    <div class="modal-content ui-dialog">
                      <div class="ui-widget-header">
                        <h5 class="modal-title" id="exampleModalLabel">
                          <span
                            class="ui-dialog-title"
                            id="ui-dialog-title-modal-edit-dialog"
                            >{{ i18ntext.lngText("comfirm_message") }}</span
                          >
                        </h5>
                        <span
                          class="ui-icon ui-icon-closethick btn-cancel"
                          data-bs-dismiss="modal"
                          aria-label="Close"
                        ></span>
                      </div>
                      <div class="ui-dialog-content" style="background-color: #fff">
                        <div class="modal-body">
                          {{ i18ntext.lngText("comfirm_message1") }} ?
                        </div>
                        <div class="modal-footer">
                          <div
                            class="button type2"
                            id="uniform-undefined"
                            data-bs-dismiss="modal"
                            @click="cancel()"
                          >
                            <span
                              >{{ i18ntext.lngText("No")
                              }}<input autocomplete="off"
                                type="button"
                                class="type2"
                                tabindex="10008"
                                value="No"
                                style="width: 89px; opacity: 0"
                              />
                            </span>
                          </div>
                          <div
                            class="button type2"
                            data-bs-dismiss="modal"
                            @click="btnsave()"
                          >
                            <span>{{ i18ntext.lngText("yes") }}</span>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div
                  class="modal fade ui-modal"
                  id="delete-form"
                  data-bs-backdrop="static"
                  data-bs-keyboard="false"
                  tabindex="-1"
                  aria-labelledby="clearconfirm"
                  aria-hidden="true"
                >
                  <div class="modal-dialog smallpopup" id="nonbackgroundboom">
                    <div class="modal-content ui-dialog">
                      <div class="ui-widget-header">
                        <h5 class="modal-title" id="exampleModalLabel">
                          <span
                            class="ui-dialog-title"
                            id="ui-dialog-title-modal-edit-dialog"
                            >{{ i18ntext.lngText("comfirm_message") }}</span
                          >
                        </h5>
                        <span
                          class="ui-icon ui-icon-closethick btn-cancel"
                          data-bs-dismiss="modal"
                          aria-label="Close"
                        ></span>
                      </div>
                      <div class="ui-dialog-content" style="background-color: #fff">
                        <div class="modal-body">
                          {{ i18ntext.lngText("comfirm_message2") }} ?
                        </div>
                        <div class="modal-footer">
                          <div
                            class="button type2"
                            id="uniform-undefined"
                            data-bs-dismiss="modal"
                            @click="cancel()"
                          >
                            <span
                              >{{ i18ntext.lngText("No")
                              }}<input autocomplete="off"
                                type="button"
                                class="type2"
                                tabindex="10008"
                                value="No"
                                style="width: 89px; opacity: 0"
                              />
                            </span>
                          </div>
                          <div
                            class="button type2"
                            data-bs-dismiss="modal"
                            @click="btnDelete()"
                          >
                            <span>{{ i18ntext.lngText("yes") }}</span>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </tbody>
            </table>
          </div>
          <div class="box-footer-pagination">
            <pagination
              :limit="2"
              :data="employee"
              @pagination-change-page="getEmployee"
            />
          </div>
        </div>
      </div>
    </div>
  </div>
  <div
    class="modal fade ui-modal"
    id="staticboomId"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticboomId"
    aria-hidden="true"
  >
    <div class="modal-dialog" style="max-width: 85% !important">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel">
            <i class="fa fa-print" aria-hidden="true"></i> {{ i18ntext.lngText("print") }}
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content" id="purchaseorder">
          <div class="card">
            <div class="card-body">
              <div class="mt-3 print-size">
                <div class="row d-flex align-items-baseline">
                  <div class="col-xl-9"></div>
                  <hr />
                </div>

                <div style="padding: 0 50px 0 50px">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase">{{ i18ntext.lngText("em-rep") }}</h3>
                    </div>
                  </div>
                  <div class="col-container">
                    <div class="col1" style="width: 55%">
                      <p class="p-bg font-size p-pad">
                        {{ i18ntext.lngText("com-name") }}
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText("name") }} :</span>
                        <span id="fon">{{ company.company_name }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText("phone") }} :</span>
                        <span id="fon">{{ company.company_Phone }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText("email") }} :</span>
                        <span id="fon">{{ company.company_Email }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText("address") }} :</span>
                        <span id="fon">{{ company.company_Address }}</span>
                      </p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad">
                        {{ i18ntext.lngText("date") }}
                      </p>
                      <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                    </div>
                  </div>
                  <div class="my-2 justify-content-center">
                    <table id="pr-tb">
                      <thead>
                        <tr class="p-bg" style="text-align: center !important">
                          <th class="text-center">{{ i18ntext.lngText("user_id") }}</th>
                          <th class="text-center">{{ i18ntext.lngText("name") }}</th>
                          <th class="text-center">{{ i18ntext.lngText("emSex") }}</th>
                          <th class="text-center">{{ i18ntext.lngText("phone") }}</th>
                          <th class="text-center">{{ i18ntext.lngText("email") }}</th>
                          <th class="text-center">{{ i18ntext.lngText("address") }}</th>
                          <th class="text-center">{{ i18ntext.lngText("remark") }}</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(emp, index) in employee" :key="index">
                          <td>{{ emp.id }}</td>
                          <td>{{ emp.firstname }} {{ emp.lstname }}</td>
                          <td>{{ emp.sex }}</td>
                          <td>{{ emp.phone1 }}</td>
                          <td>{{ emp.email }}</td>
                          <td>
                            {{ emp.village }}
                            {{ emp.commune }}
                            {{ emp.district }}
                            {{ emp.pro_city }}
                            {{ emp.address }}
                          </td>
                          <td>{{ emp.remark }}</td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <hr />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a
            v-print="'#purchaseorder'"
            class="btn-purchase btn-light text-capitalize border-0"
            data-mdb-ripple-color="dark"
            ><i class="fas fa-print text-primary"></i> {{ i18ntext.lngText("print") }}</a
          >
        </div>
      </div>
    </div>
  </div>

  <div
    class="modal fade ui-modal"
    id="adduser"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticboomId"
    aria-hidden="true"
  >
    <div class="modal-dialog" style="max-width: 90% !important">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel">
            <i class="fa fa-plus" aria-hidden="true"></i>
            {{ i18ntext.lngText("em-add") }}
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content" id="purchaseorder1">
          <div>
            <div class="card-body">
              <div class="mt-3">
                <div>
                  <div class="my-2">
                    <table
                      width="100%"
                      border="0"
                      cellpadding="0"
                      cellspacing="0"
                      class="tbl_search mb-3"
                    >
                      <tbody>
                        <tr>
                          <th width="20%">{{ i18ntext.lngText("em-code") }}</th>
                          <td>
                            <input autocomplete="off"
                              class="string_zen clear_text text input_text"
                              type="text"
                              style="width: 360px"
                              placeholder="Enter Code"
                              v-model="user_form.user_code"
                              :disabled="true"
                            />
                          </td>
                        </tr>
                        <tr>
                          <th>{{ i18ntext.lngText("name") }}</th>
                          <td>
                            <input autocomplete="off"
                              class="string_zen clear_text text input_text"
                              type="text"
                              style="width: 360px"
                              placeholder="Enter Name"
                              v-model="user_form.user_name"
                            />
                          </td>
                        </tr>
                        <tr>
                          <th>{{ i18ntext.lngText("email") }}</th>
                          <td>
                            <input autocomplete="off"
                              class="string_zen clear_text text input_text"
                              type="text"
                              style="width: 360px"
                              placeholder="Enter Email"
                              v-model="user_form.email"
                            />
                          </td>
                        </tr>
                        <tr>
                          <th>{{ i18ntext.lngText("password") }}</th>
                          <td>
                            <input autocomplete="off"
                              class="string_zen clear_text text input_text"
                              id="password"
                              type="password"
                              style="width: 360px"
                              placeholder="Enter Password"
                              v-model="user_form.password"
                            />
                            <i
                              v-if="is_hide == true"
                              class="fa fa-eye cursur-pointer"
                              @click="hidePassword('#password', 'pass')"
                            ></i>
                            <i
                              v-else
                              class="fa-sharp fa fa-eye-slash cursur-pointer"
                              @click="showPassword('#password', 'pass')"
                            ></i>
                          </td>
                        </tr>
                        <tr>
                          <th>{{ i18ntext.lngText("confirm_message") }}</th>
                          <td>
                            <input autocomplete="off"
                              class="string_zen clear_text text input_text"
                              id="confirm_pass"
                              type="password"
                              style="width: 360px"
                              placeholder="Confirm Password"
                              v-model="user_form.confirm_pass"
                            />
                            <i
                              v-if="is_hide_cf == true"
                              class="fa fa-eye cursur-pointer"
                              @click="hidePassword('#confirm_pass', 'confirm')"
                            ></i>
                            <i
                              v-else
                              class="fa-sharp fa fa-eye-slash cursur-pointer"
                              @click="showPassword('#confirm_pass', 'confirm')"
                            ></i>
                          </td>
                        </tr>
                        <tr>
                          <th>{{ i18ntext.lngText("role") }}</th>
                          <td>
                            <div class="dropdown d-flex">
                              <button
                                @click="getuser(user_form)"
                                @onmouseout="prooductboom()"
                                class="dropdown-toggle string_zen clear_text text select-menu select-item popup-drop"
                                type="button"
                                id="dropdownMenuButton1 "
                                data-bs-toggle="dropdown"
                                aria-expanded="false"
                                size="50"
                                style="
                                  margin-left: 0px !important;
                                  width: 360px !important;
                                  height: 19px;
                                "
                              >
                                {{ user_form.role }} <i class="fa fa-chevron-down"></i>
                              </button>
                              <a href="#" class="btn-addnew">
                                <router-link to="role">
                                  <span
                                    class="new"
                                    data-bs-dismiss="modal"
                                    aria-label="Close"
                                    >{{ i18ntext.lngText("create_new") }}</span
                                  >
                                </router-link>
                              </a>
                              <div
                                class="dropdown-menu each-drop-menu"
                                aria-labelledby="dropdownMenuButton1"
                              >
                                <p>
                                  <input autocomplete="off"
                                    v-model="txtsearch"
                                    @input="getrole(txtsearch)"
                                    class="string_zen clear_text text search-pro-field"
                                    size="50"
                                    type="text"
                                  />
                                </p>
                                <ul style="list-style: none" class="scrollable-menu">
                                  <li @click="getuser(user_form, 'Admin')">
                                    <div class="menu-item">
                                      <p>Admin</p>
                                    </div>
                                  </li>
                                  <li @click="getuser(user_form, 'Doctor')">
                                    <div class="menu-item">
                                      <p>Doctor</p>
                                    </div>
                                  </li>
                                  <li @click="getuser(user_form, 'Labo')">
                                    <div class="menu-item">
                                      <p>Labo</p>
                                    </div>
                                  </li>
                                </ul>
                              </div>
                            </div>
                          </td>
                        </tr>
                        <tr>
                          <th>{{ i18ntext.lngText("be-sts") }}</th>
                          <td>
                            <input autocomplete="off"
                              class="string_zen clear_text text input_text"
                              type="text"
                              style="width: 360px"
                              placeholder="Enter Status"
                              v-model="user_form.statue"
                            />
                          </td>
                        </tr>
                      </tbody>
                    </table>
                    <table class="table table-striped br-table">
                      <thead>
                        <tr class="header-table">
                          <th class="text-center" style="text-align: center !important">
                            {{ i18ntext.lngText("em-code") }}
                          </th>
                          <th class="text-center" style="text-align: center !important">
                            {{ i18ntext.lngText("name") }}
                          </th>
                          <th class="text-center" style="text-align: center !important">
                            {{ i18ntext.lngText("email") }}
                          </th>
                          <th class="text-center" style="text-align: center !important">
                            {{ i18ntext.lngText("password") }}
                          </th>
                          <th class="text-center" style="text-align: center !important">
                            {{ i18ntext.lngText("role") }}
                          </th>
                          <th width="22%"></th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="x in xs">
                          <td>{{ x.user_code }}</td>
                          <td>{{ x.user_name }}</td>
                          <td>{{ x.email }}</td>
                          <td>{{ x.password }}</td>
                          <td>{{ x.role }}</td>
                          <td class="d-flex justify-content-center">
                            <div
                              class="button"
                              id="uniform-undefined"
                              @click="selectUser(x)"
                            >
                              <span>
                                <i class="fa fa-edit"></i>
                                {{ i18ntext.lngText("select") }}
                                <input autocomplete="off"
                                  type="button"
                                  tabindex="10028"
                                  style="opacity: 0; width: 70px"
                                />
                              </span>
                            </div>
                            <div
                              class="button"
                              id="uniform-undefined"
                              @click="deleteUser(x)"
                            >
                              <span
                                ><i class="fa fa-trash" aria-hidden="true"></i>
                                {{ i18ntext.lngText("Delete") }}
                                <input autocomplete="off"
                                  type="button"
                                  tabindex="10028"
                                  style="opacity: 0; width: 70px"
                              /></span>
                            </div>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <hr />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <div
            v-if="back == true"
            @click="Back()"
            class="button type2"
            id="uniform-undefined"
          >
            <span
              ><input autocomplete="off"
                type="button"
                class="type2"
                tabindex="10025"
                value="display"
                style="opacity: 0; width: 54px"
              />
              <i class="fa fa-arrow-left"></i>
              {{ i18ntext.lngText("back") }}</span
            >
          </div>
          <div
            v-if="this.Check == 'Save'"
            class="button type2"
            id="uniform-undefined"
            @click="btnUser()"
          >
            <span
              ><input autocomplete="off"
                type="button"
                class="type2"
                tabindex="10025"
                value="display"
                style="opacity: 0; width: 54px"
              /><i class="fa fa-save" aria-hidden="true"> </i>
              {{ i18ntext.lngText("save") }}</span
            >
          </div>
          <div v-else class="button type2" id="uniform-undefined" @click="btnUser()">
            <span
              ><input autocomplete="off"
                type="button"
                class="type2"
                tabindex="10025"
                value="display"
                style="opacity: 0; width: 54px"
              /><i class="fa fa-save" aria-hidden="true"> </i>
              {{ i18ntext.lngText("update") }}</span
            >
          </div>
        </div>
      </div>
    </div>
  </div>
  <div id="myModal" class="lskymodal">
    <div class="lskymodal-content">
      <p><i aria-hidden="true"></i> {{ massege }}</p>
    </div>
  </div>
  <div id="footer">
    <div id="copyright">Copyright (C) healthbook. ALL Right s Researved Edit by Lsky</div>
  </div>
  <UserInfo />
</template>

<script>
import axios from "axios";
import pagination from "laravel-vue-pagination";
import moment from "moment";
import Header from "../Header.vue";
import Logo from "../logo.vue";
import Auth from "../../auth/Auth";
import print from "vue3-print-nb";
import UserInfo from "../UserInfo.vue";
import i18n from "../../i18n/i18n";
export default {
  components: { Header, pagination, Logo, UserInfo },
  directives: {
    print,
  },
  data() {
    return {
      i18ntext: i18n,
      is_hide: false,
      is_hide_cf: false,
      xs: {},
      serails: [],
      company: [],
      formatdate: "",
      checkbt: "",
      perPage: "",
      currentPage: 0,
      last_page: 1,
      action_api: "",
      btcheck: "Save",
      action_api_1: "",
      employee: [],
      deleteid: "",
      user: [],
      error: "",
      massege: "",
      btnback: false,
      object: {
        id: "",
        email: " ",
        firstname: "",
      },
      form: {
        id: "",
        lstname: "",
        firstname: "",
        birstdate: "",
        sex: "Male",
        phone1: "",
        phone2: "",
        email: "",
        hiredate: "",
        address: "",
        address2: "",
        village: "",
        commune: "",
        district: "",
        pro_city: "",
        region: "",
        remark: "",
        status: "",
        created_by: "",
        updete_by: "",
      },
      save_or_update: "Save",
      user_form: {
        id: "",
        user_code: "",
        user_name: "",
        password: "",
        email: "",
        role: "",
        statue: "",
        confirm_pass: "",
        created_by: "",
        created_at: "",
        updated_at: "",
      },
      s_user_code: "",
      created_by: "",
      user_view: [],
      back: false,
      Check: "Save",
    };
  },
  mounted() {
    if (Auth.check()) {
      if (!Auth.checkPermission("EMPLOYEE_ALL")) {
        this.$router.push("/dashboard");
      }
    }
    this.getSerail();
    this.getcompany();
    this.checkedActive();
    this.getEmployee();
    this.loggedUser = Auth.user;
  },
  methods: {
    getUser(items) {
      this.user_form.user_code = items.id;
      this.user_form.created_by = Auth.user.id;
      axios.post("api/v1/setup/getuseId", this.user_form).then((res) => {
        this.xs = res.data;
      });
    },
    createUser() {
      if (this.user_form.confirm_pass == this.user_form.password) {
        axios
          .post("api/v1/uers/create", this.user_form)
          .then((res) => {
            this.xs = res.data;
            this.user_form.user_name = "";
            this.user_form.email = "";
            this.user_form.password = "";
            this.user_form.role = "";
            this.user_form.statue = "";
            this.user_form.confirm_pass = "";
          })
          .catch((error) => {
            this.massege = "The user name and password field is required.";
            this.messagebox();
          });
      } else {
        this.massege = "Enter wrong confirm password!";
        this.messagebox();
      }
    },
    selectUser(user) {
      this.user_form = user;
      this.user_form.confirm_pass = this.user_form.password;
      this.back = true;
      this.Check = "Update";
    },
    Back() {
      this.back = false;
      this.Check = "Save";
      this.user_form = {
        user_code: this.user_form.user_code,
      };
    },
    updateUser() {
      axios
        .post("api/v1/update/user/" + this.user_form.id, this.user_form)
        .then((res) => {
          this.back = false;
          this.Check = "Save";
          this.getUser();
        });
    },
    btnUser() {
      if (this.Check == "Save") {
        this.createUser();
      } else {
        this.updateUser();
        this.user_form = {
          user_code: this.user_form.user_code,
        };
      }
    },
    deleteUser(x) {
      this.s_user_code = x.user_code;
      this.created_by = Auth.user.id;
      x.created_by = Auth.user.id;
      axios
        .get(
          "api/v1/update/delete/" +
            x.id +
            "?user_code=" +
            x.user_code +
            "&created_by=" +
            x.created_by
        )
        .then((res) => {
          axios
            .post(
              "api/v1/setup/getuseId?user_code=" +
                this.s_user_code +
                "&created_by=" +
                this.created_by
            )
            .then((res) => {
              this.xs = res.data;
            });
        });
    },
    showPassword(id, text) {
      if (text === "pass") {
        this.is_hide = true;
        document.querySelector(id).type = "text";
      }
      if (text === "confirm") {
        this.is_hide_cf = true;
        document.querySelector(id).type = "text";
      }
    },
    hidePassword(id, text) {
      if (text === "pass") {
        this.is_hide = false;
        document.querySelector(id).type = "password";
      }
      if (text === "confirm") {
        this.is_hide_cf = false;
        document.querySelector(id).type = "password";
      }
    },
    btnClose() {
      this.form = {};
      this.btnback = false;
      this.btcheck = "Save";
    },
    btnBack() {
      this.btnback = false;
      this.btcheck = "Save";
      this.form = {};
    },
    getEmployee(page = 1) {
      if (page > 0 && page <= this.last_page) {
        axios
          .get("api/v1/employee/index")
          .then(({ data }) => {
            this.links = data.links;
            this.last_page = data.last_page;
            this.links.forEach((element) => {
              if (element.label == page) {
                this.perPage = "api/v1/employee/index?page=" + page;
                axios.get(this.perPage).then(({ data }) => {
                  this.currentPage = data.current_page;
                  this.employee = data;
                });
              }
            });
          })
          .catch(({ response }) => {
            console.error(response);
          });
      }
    },
    save_update() {
      if (this.save_or_update === "Save") {
        this.save_user();
      }
      if (this.save_or_update === "Update") {
        axios
          .post("/api/v1/update/user/" + this.user_form.user_code, this.user_form)
          .then((res) => {});
      }
    },
    getsex(txt) {
      if (txt == "other") {
        this.form.sex = "Other";
      } else if (txt == "male") {
        this.form.sex = "Male";
      } else {
        this.form.sex = "Female";
      }
    },
    add_emp() {
      axios.post("/api/v1/employee/create", this.form).then((emp) => {
        this.getEmployee();
        this.form = {};
      });
    },
    getid(id) {
      this.deleteid = id;
      this.form = {};
    },
    btnDelete() {
      axios.get("/api/v1/employee/delete/" + this.deleteid).then(() => {
        this.getEmployee();
        this.btnback = false;
      });
    },
    btnEdit(items) {
      this.btcheck = "Update";
      this.form = items;
      this.deleteid = items.id;
      this.btnback = true;
    },
    update() {
      axios.post("/api/v1/employee/update/" + this.form.id, this.form).then((emp) => {
        this.btcheck = "Save";
        this.btnback = false;
        this.form = {};
      });
    },
    btnsave() {
      if (this.btcheck == "Update") {
        this.update();
        this.form = {};
      } else {
        this.add_emp();
      }
    },
    cancel() {
      this.form = {};
    },
    getunit(fom, txt) {
      fom.remark = txt;
    },
    getcreate(user) {
      this.user_form.id = user.id;
    },
    save_user() {
      if (this.confirm_pass == this.user_form.password) {
        axios
          .post("/api/v1/uers/create", this.user_form)
          .then((us) => {})
          .catch((error) => {
            this.massege = "The user name and password field is required.";
            this.messagebox();
          });
      } else {
        this.massege = "Enter wrong confirm password!";
        this.messagebox();
      }
    },
    messagebox() {
      var modal = document.getElementById("myModal");
      modal.style.display = "block";
      setTimeout(() => (modal.style.display = "none"), 1500);
    },
    getuser(us_form, txt) {
      us_form.role = txt;
    },
    getSerail(page = 1) {
      if (page > 0 && page <= this.last_page) {
        axios
          .get("api/v1/units")
          .then(({ data }) => {
            this.links = data.links;
            this.last_page = data.last_page;
            this.links.forEach((element) => {
              if (element.label == page) {
                this.perPage = "api/v1/units?page=" + page;
                axios.get(this.perPage).then(({ data }) => {
                  this.currentPage = data.current_page;
                  this.serails = data;
                });
              }
            });
          })

          .catch(({ response }) => {
            console.error(response);
          });
      }
    },
    getcompany() {
      axios.get("/api/v1/getSetup/").then((response) => {
        this.company = response.data;
        this.dateformart = moment(new Date()).format("DD-MM-YYYY");
      });
    },
    checkedActive() {
      var items = document.querySelectorAll(".radio > span");
      console.log(items.length);
      for (let i = 0; i < items.length; i++) {
        items[i].addEventListener("click", function () {
          let currentBtn = document.querySelectorAll(".checked");
          currentBtn[0].className = currentBtn[0].className.replace("checked", "");
          this.className += " checked";
        });
      }
    },
    getEmployee() {
      axios.get("api/v1/employee/index/").then((emp) => {
        this.employee = emp.data;
      });
    },

    btnClear() {
      this.form = {};
    },
    btnClose() {
      this.form = {};
    },
    btnAdd() {
      this.btcheck = "create";
      this.form = {};
      this.action_api = "api/v1/units/store";
    },
    btnSave() {
      axios.post("api/v1/units/store", this.form).then((res) => {
        this.getSerail();
        this.form = Object.assign({});
      });
    },
    btnUpdate() {
      axios.post("/api/v1/units/update/" + this.form.id, this.form).then((res) => {
        this.getSerail();
        this.form = {};
      });
    },
  },
};
</script>
